<?php

// only instantiate the class if it doesn't already exist
if ( !class_exists('ns_sidebar') ) {

	class ns_sidebar {

		public static function widget( $widgetname, $args=array() ){
			if( method_exists('ns_sidebar',$widgetname) ){
				?>
				<div class="ns-side-widget ns-<?php echo $widgetname; ?>-widget">
					<div class="ns-side-widget-content">
						<?php call_user_func_array( array('ns_sidebar',$widgetname), $args ); ?>
					</div>
				</div>
				<?php
			}
		}

		static function donate($text='Help us provide support and updates') {
			?>
			<div style="text-align: center;">
				<?php if($text) echo "<p>$text</p>"; ?>
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
				<input type="hidden" name="cmd" value="_s-xclick" />
				<input type="hidden" name="hosted_button_id" value="SXT2536Z7SWSA" />
				<input type="image" src="https://www.paypalobjects.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
				<img alt="" border="0" src="https://www.paypal.com/en_GB/i/scr/pixel.gif" width="1" height="1" />
			</div>
			<?php
		}
	}
}
