#!/bin/bash
SENDGRID_API_KEY=""
EMAIL_TO=""
FROM_EMAIL=""
FROM_NAME="Allgen IO"
SUBJECT="MySQL Service Down!"

bodyHTML="<p>MySQL Service Was Down And Started Again</p>"

maildata='{"personalizations": [{"to": [{"email": "'${EMAIL_TO}'"}]}],"from": {"email": "'${FROM_EMAIL}'",
	"name": "'${FROM_NAME}'"},"subject": "'${SUBJECT}'","content": [{"type": "text/html", "value": "'${bodyHTML}'"}]}'

UP=$(pgrep mysql | wc -l);
if [ "$UP" -ne 1 ];
then
		echo "MySQL is down.";
		sudo service mysql start
		curl --request POST \
	  --url https://api.sendgrid.com/v3/mail/send \
	  --header 'Authorization: Bearer '$SENDGRID_API_KEY \
	  --header 'Content-Type: application/json' \
	  --data "'$maildata'"

else
		echo "All is well.";
fi
